<script setup lang="ts">
import { computed, watch, ref } from 'vue'
import { useProductStore } from '@/stores/product'
import { useCartStore } from '@/stores/cart'
const productStore = useProductStore()
const cartStore = useCartStore()
const backendURL = import.meta.env.VITE_BACKEND_URL
function increaseCount() {
  productStore.count++
}
function decreaseCount() {
  if (productStore.count > 1) {
    productStore.count--
  }
}
// const cartItemCount = computed(() => {
//     return cartStore.cartItem.length;
// });

const cartItemCount = ref(cartStore.cartItem.length)
watch(
  () => cartStore.cartItem,
  (newCartItems) => {
    cartItemCount.value = newCartItems.length
  }
)
</script>
<template>
  <v-card theme="light" height="842" outlined="false">
    <v-row class="mt-5">
      <v-col></v-col>
      <v-col cols="5"> <span class="fontTitle ml-14">รายละเอียดสินค้า</span></v-col>
      <v-col cols="2">
        <v-btn class="font" icon="mdi-cart" to="/cartview" style="position: relative">
          <span><v-icon icon="mdi-cart"></v-icon></span>
          <span class="cart-counter" v-if="cartItemCount > 0">{{ cartItemCount }}</span>
        </v-btn>
        <v-btn class="font ml-4">ชื่อผู้ใช้ : บีมเองจ้า</v-btn>
      </v-col>
    </v-row>

    <v-row>
      <v-container>
        <v-row>
          <v-col cols="5">
            <!-- <v-card width="auto" height="600px" color="rgb(255, 255, 255)" class="overflow-y-auto" style="
            font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial,
              sans-serif;border:solid; border-width: 2px;"> -->
            <v-card
              class="card shadow"
              theme="light"
              style="border-radius: 50px; border: 1px solid rgba(0, 0, 0, 0.1)"
            >
              <v-img :src="`${backendURL}/products/image/${productStore.gotProduct.image}`"> </v-img
            ></v-card>
          </v-col>
          <v-col>
            <v-table>
              <tr>
                <th style="font-size: 20px; text-align: left">
                  {{ productStore.gotProduct.name }}
                </th>
              </tr>
              <tr>
                <br />
                <!-- <v-card height="425px" class="overflow-y-auto"
                                    style="font-size: 20px; border: 0px;">คำอธิบาย : {{ productStore.gotProduct.description
                                    }}</v-card> -->
                <span style="font-size: 20px; border: 0px">
                  {{ productStore.gotProduct.description }}</span
                >
              </tr>
              <tr>
                <td style="font-size: 30px">
                  <br />฿{{ productStore.gotProduct.price.toLocaleString() }}
                </td>
              </tr>
              <tr>
                <td style="font-size: 15px">รับประกัน 1 ปี</td>
              </tr>
            </v-table>
            <br />
            <v-table style="width: 500px">
              <tr>
                <td style="font-size: 38px">จำนวน</td>
                <td>
                  <div class="count-container">
                    <v-btn icon="mdi-minus" @click="decreaseCount()"></v-btn>
                    <span>{{ productStore.count }}</span>
                    <v-btn icon="mdi-plus" @click="increaseCount()"></v-btn>
                  </div>
                </td>
                <td>
                  <v-btn class="ml-4 custom-button" @click="cartStore.saveProductToCart"
                    >เพิ่มสินค้าลงตะกร้า</v-btn
                  >
                </td>
              </tr>
            </v-table>
          </v-col>
        </v-row>
      </v-container>
    </v-row>
  </v-card>
  <v-btn to="/" class="font ml-10 mt-4" @click="productStore.count = 1">ย้อนกลับ</v-btn>
</template>

<style scoped>
.custom-button {
  background-color: #48ebc7; 
  color: #000000; 
  border-radius: 20px; 
  padding: 10px 20px; 
  font-weight: bold;
  transition: background-color 0.3s ease; 
}

.custom-button:hover {
  background-color: #23fd06; 
}

.count-container {
  display: flex;
  align-items: center;
}

.count-container v-btn {
  margin: 0;
}

.count-container span {
  font-size: 24px;
  margin: 0 8px;
}

.card {
  width: 400px;
  height: 500px;
  background: white;
  border-radius: 10px;
  transition: border-radius 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.shadow {
  box-shadow:
    inset 0 -3em 3em rgba(0, 0, 0, 0.1),
    0 0 0 2px rgb(190, 190, 190),
    0.3em 0.3em 1em rgba(0, 0, 0, 0.3);
}

.fontTitle {
  text-align-last: center;
  font-family: fantasy;
  font-size: 35px;
  color: black;
}

.font {
  text-align-last: center;
  font-family: fantasy;
  font-size: 18px;
  color: black;
}

.fontcardtitle {
  text-align-last: center;
  font-family: fantasy;
  font-size: 25px;
  color: black;
}

.fontcard {
  text-align-last: center;
  font-family: fantasy;
  font-size: 18px;
  color: black;
}

.fontdate {
  text-align-last: center;
  font-family: fantasy;
  font-size: 14px;
  color: black;
}

.cart-counter {
  position: absolute;
  top: -8px;
  right: -8px;
  background-color: black;
  color: white;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  font-size: 12px;
  display: flex;
  justify-content: center;
  align-items: center;
}
</style>
